import { createBackup as publicCreateBackup, listBackups as publicListBackups, restoreBackup as publicRestoreBackup, restorePartialBackup as publicRestorePartialBackup, listRestorations as publicListRestorations, deleteBackup as publicDeleteBackup } from './data-v2-backup-backups.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onBackupStateChanged as publicOnBackupStateChanged } from './data-v2-backup-backups.public.js';
import { onBackupDeleted as publicOnBackupDeleted } from './data-v2-backup-backups.public.js';
import { onBackupRestorationStateChanged as publicOnBackupRestorationStateChanged } from './data-v2-backup-backups.public.js';
export declare const createBackup: MaybeContext<BuildRESTFunction<typeof publicCreateBackup> & typeof publicCreateBackup>;
export declare const listBackups: MaybeContext<BuildRESTFunction<typeof publicListBackups> & typeof publicListBackups>;
export declare const restoreBackup: MaybeContext<BuildRESTFunction<typeof publicRestoreBackup> & typeof publicRestoreBackup>;
export declare const restorePartialBackup: MaybeContext<BuildRESTFunction<typeof publicRestorePartialBackup> & typeof publicRestorePartialBackup>;
export declare const listRestorations: MaybeContext<BuildRESTFunction<typeof publicListRestorations> & typeof publicListRestorations>;
export declare const deleteBackup: MaybeContext<BuildRESTFunction<typeof publicDeleteBackup> & typeof publicDeleteBackup>;
/**
 * Triggered when a backup's status is changed. This includes when a backup is created and its status is set to `PENDING`.
 */
export declare const onBackupStateChanged: ReturnType<typeof createEventModule<typeof publicOnBackupStateChanged>>;
/** */
export declare const onBackupDeleted: ReturnType<typeof createEventModule<typeof publicOnBackupDeleted>>;
/**
 * Triggered when a restoration's status is changed. This includes when a new restoration is initiated and its status is `PENDING`.
 */
export declare const onBackupRestorationStateChanged: ReturnType<typeof createEventModule<typeof publicOnBackupRestorationStateChanged>>;
export { Status, Type, RestorationStatus, WebhookIdentityType, } from './data-v2-backup-backups.universal.js';
export { Backup, Collection, DisableInstanceRequest, Empty, EnableInstanceRequest, DeleteAllRequest, GetBackupMetadataRequest, GetBackupMetadataResponse, RebuildRequest, MoveRequest, RemoveDeletedRequest, FailRestorationRequest, TakeBackupRequest, UpdateBackupMetadataRequest, BackupStateChanged, RestorationStateChanged, Restoration, RestorationCollection, RestoreDestination, CreateBackupRequest, CreateBackupResponse, ListBackupsRequest, Paging, ListBackupsResponse, PagingMetadataV2, RestoreBackupRequest, RestoreBackupResponse, RestorePartialBackupRequest, ListRestorationsRequest, ListRestorationsResponse, DeleteBackupRequest, DeleteBackupResponse, CancelBackupRequest, CancelBackupResponse, MigrateNamespaceRequest, MigrateNamespaceResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, CreateBackupResponseNonNullableFields, ListBackupsResponseNonNullableFields, RestoreBackupResponseNonNullableFields, ListRestorationsResponseNonNullableFields, BaseEventMetadata, EventMetadata, BackupStateChangedEnvelope, BackupDeletedEnvelope, BackupRestorationStateChangedEnvelope, ListBackupsOptions, ListRestorationsOptions, } from './data-v2-backup-backups.universal.js';
