"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.Type = exports.Status = exports.RestorationStatus = exports.onBackupRestorationStateChanged = exports.onBackupDeleted = exports.onBackupStateChanged = exports.deleteBackup = exports.listRestorations = exports.restorePartialBackup = exports.restoreBackup = exports.listBackups = exports.createBackup = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const data_v2_backup_backups_universal_js_1 = require("./data-v2-backup-backups.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/data' };
function createBackup(httpClient) {
    return () => (0, data_v2_backup_backups_universal_js_1.createBackup)(
    // @ts-ignore
    { httpClient });
}
exports.createBackup = createBackup;
function listBackups(httpClient) {
    return (options) => (0, data_v2_backup_backups_universal_js_1.listBackups)(options, 
    // @ts-ignore
    { httpClient });
}
exports.listBackups = listBackups;
function restoreBackup(httpClient) {
    return (backupId) => (0, data_v2_backup_backups_universal_js_1.restoreBackup)(backupId, 
    // @ts-ignore
    { httpClient });
}
exports.restoreBackup = restoreBackup;
function restorePartialBackup(httpClient) {
    return (backupId, restorationCollections) => (0, data_v2_backup_backups_universal_js_1.restorePartialBackup)(backupId, restorationCollections, 
    // @ts-ignore
    { httpClient });
}
exports.restorePartialBackup = restorePartialBackup;
function listRestorations(httpClient) {
    return (options) => (0, data_v2_backup_backups_universal_js_1.listRestorations)(options, 
    // @ts-ignore
    { httpClient });
}
exports.listRestorations = listRestorations;
function deleteBackup(httpClient) {
    return (backupId) => (0, data_v2_backup_backups_universal_js_1.deleteBackup)(backupId, 
    // @ts-ignore
    { httpClient });
}
exports.deleteBackup = deleteBackup;
exports.onBackupStateChanged = (0, sdk_types_1.EventDefinition)('wix.data.v2.backup_backup_state_changed', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.backup.requestedDate' },
            { path: 'data.backup.startedDate' },
            { path: 'data.backup.finishedDate' },
            { path: 'data.backup.deletedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onBackupDeleted = (0, sdk_types_1.EventDefinition)('wix.data.v2.backup_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'undefined.requestedDate' },
            { path: 'undefined.startedDate' },
            { path: 'undefined.finishedDate' },
            { path: 'undefined.deletedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onBackupRestorationStateChanged = (0, sdk_types_1.EventDefinition)('wix.data.v2.backup_restoration_state_changed', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.restoration.requestedDate' },
            { path: 'data.restoration.startedDate' },
            { path: 'data.restoration.finishedDate' },
            { path: 'data.restoration.backup.requestedDate' },
            { path: 'data.restoration.backup.startedDate' },
            { path: 'data.restoration.backup.finishedDate' },
            { path: 'data.restoration.backup.deletedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
var data_v2_backup_backups_universal_js_2 = require("./data-v2-backup-backups.universal.js");
Object.defineProperty(exports, "RestorationStatus", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_2.RestorationStatus; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_2.Status; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_2.Type; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=data-v2-backup-backups.public.js.map