import { createBackup as publicCreateBackup, listBackups as publicListBackups, restoreBackup as publicRestoreBackup, restorePartialBackup as publicRestorePartialBackup, listRestorations as publicListRestorations, deleteBackup as publicDeleteBackup, } from './data-v2-backup-backups.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onBackupStateChanged as publicOnBackupStateChanged } from './data-v2-backup-backups.public.js';
import { onBackupDeleted as publicOnBackupDeleted } from './data-v2-backup-backups.public.js';
import { onBackupRestorationStateChanged as publicOnBackupRestorationStateChanged } from './data-v2-backup-backups.public.js';
export const createBackup = /*#__PURE__*/ createRESTModule(publicCreateBackup);
export const listBackups = /*#__PURE__*/ createRESTModule(publicListBackups);
export const restoreBackup = /*#__PURE__*/ createRESTModule(publicRestoreBackup);
export const restorePartialBackup = /*#__PURE__*/ createRESTModule(publicRestorePartialBackup);
export const listRestorations = /*#__PURE__*/ createRESTModule(publicListRestorations);
export const deleteBackup = /*#__PURE__*/ createRESTModule(publicDeleteBackup);
/**
 * Triggered when a backup's status is changed. This includes when a backup is created and its status is set to `PENDING`.
 */
export const onBackupStateChanged = createEventModule(publicOnBackupStateChanged);
/** */
export const onBackupDeleted = createEventModule(publicOnBackupDeleted);
/**
 * Triggered when a restoration's status is changed. This includes when a new restoration is initiated and its status is `PENDING`.
 */
export const onBackupRestorationStateChanged = createEventModule(publicOnBackupRestorationStateChanged);
export { Status, Type, RestorationStatus, WebhookIdentityType, } from './data-v2-backup-backups.universal.js';
//# sourceMappingURL=data-v2-backup-backups.context.js.map